新手问题 Mac 环境下安装 mysql2 报错

rails_taotao · 2019年04月25日 · 最后由 rails_taotao 回复于 2019年04月28日 · 643 次阅读

在Mac下安装mysql2出现此错误,mysql也应该安装了5.7的,请问下这是什么问题导致的

共收到 8 条回复
  1. 先试试能不能进入到 mysql mysql -u root -p root
  2. 能进去的话不是mysql的问题
  3. 安装mysql brew install mysql
awking 回复

可以进入到mysql的,其他gem都可以正常安装,就是gem mysql2无法使用

缺少两个支持mysql2的gem 你网上搜你这个错误 答案很多

yfscret 回复

能否给个帖子,这边没有收到

可以试试 sudo gem install 'mysql2', permission denied 权限拒绝。

有一个小建议: 贴图的同时把你的代码附在下面,方便帮助你的人,在网上查找答案。

gem install mysql2 -v '0.5.2' -- --with-ldflags=-L/usr/local/opt/openssl/lib --with-cppflags=-I/usr/local/opt/openssl/include
dearest 回复

好的。已经搞定了。是配置的问题

rails_taotao 关闭了讨论 04月28日 10:56
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册